
TYPO3.Flow - Feature # 36695

Status: Resolved Priority: Should have
Author: Alexander Berl Category: Validation
Created: 2012-04-29 Assigned To:
Updated: 2012-08-20 Due date:
PHP Version:
Has patch: Yes
Complexity:
Subject: Control Validation Groups and add Groups for Create and Update
Description

As a developer I want to be able to validate objects differently on creation and update, for example a user registration needs to
validate for non-existance of properties username/email, however when updating the user object those validations may not be
evaluated, but all others.

I suggest extending the Validation Group Changeset with a new Annotation ValidationGroups for action methods to override the
default groups ("Default", "Controller") and adding validation groups "Create" and "Update" for the MVC actions create and update.

Related issues:
related to TYPO3.Flow - Feature # 32832: Implement context-specific validatio... Resolved 2011-12-24

Associated revisions
Revision 46ea9e11 - 2012-08-20 10:10 - Alexander Berl

[FEATURE] Control Validation Groups via annotations

This feature adds support for overriding validation groups in actions through
@FLOW\ValidationGroups annotation.

Change-Id: Ib1e956904af3f7d0ab8e4ae5b9975994c22b7e2c
Resolves: #36695
Releases: 1.2

History
#1 - 2012-08-10 02:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13556

#2 - 2012-08-11 12:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13556

#3 - 2012-08-11 18:34 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13556

#4 - 2012-08-20 10:10 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13556

#5 - 2012-08-20 10:35 - Alexander Berl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:46ea9e11c74db201fd7dc127e618f657f8784d12.

Files
